1. mars2009's Avatar
    Hi,

    I am running into a weird behaviour. I have an iPhone 3GS 32GB.
    Version: 3.1(7C144).
    Modem Firmware: 05.11.07.

    As per different threads I used BlackRaIn and performed the JailBreak Process. I was able to see GeoHot logo and I got a message saying, the jailbreak process will be done once its rebooted. After Rebooting, I don't see a BlackRaIn icon at all.

    I ran this process again and same thing, I don't see BlackRaIn icon.

    I didn't get any errors and everything went smooth.

    Now in order for me to unlock, i wanted to install Snow but since I dont see the BlackRaIn icon I dont know how to proceed.

    So after reading through different threads, I tried RedSnow 0.9.2
    and downloaded the 3gs 3.1 ipsw.

    I ran the RedSnow.exe and then it asked me to browse to the 3.1 ipsw file. I browsed to this ipsw file and then it says "Unable to recognise the specified ipsw." I thought the ipsw might be corrupted/wrong and i downloaded it again and still I get the same error. I tried it like 2 more times and I always get the same error.

    Could someone let me know how should I proceed further. I just want to unlock this device and use it with T-Mobile but I am badly stuck without any options.

    Thanks
    Last edited by mars2009; 2010-04-12 at 03:28 AM. Reason: Resolved
    2010-04-08 08:28 PM
  2. j3st3r's Avatar
    which browser are you using to download it...try firefox or chrome
    2010-04-09 02:42 AM
  3. mars2009's Avatar
    which browser are you using to download it...try firefox or chrome

    Hi,

    I tried IE and FireFox, it gives the same error message.
    Please let me know what further can I do to proceed with my Jailbeak and Unlock.

    Thanks.
    2010-04-09 02:50 AM
  4. j3st3r's Avatar
    other than downloading it from a different site I don't really know what could be wrong...I have been using redsn0w since it's release and the only time I have seen that error is when I tried to use the wrong firmware...not 100% sure but 3.1 might require using a lower firmware to jailbreak like 3.1.3 requires 3.1.2 for redsn0w to jailbreak it
    2010-04-09 08:15 AM
  5. mars2009's Avatar
    other than downloading it from a different site I don't really know what could be wrong...I have been using redsn0w since it's release and the only time I have seen that error is when I tried to use the wrong firmware...not 100% sure but 3.1 might require using a lower firmware to jailbreak like 3.1.3 requires 3.1.2 for redsn0w to jailbreak it
    Good Point.Looked into Redsnow download page and this release only supports Apple firmware 3.0 and 3.1.2.

    I will download 3.0 and select already pawned option and see how it goes.

    Thanks
    2010-04-09 08:30 AM
  6. cjgonzales1900's Avatar
    Make sure you have the right redsn0w have had some problems with the wrong one like you are having.
    "Answering 1 Question at a Time."

    iPhone 4: 32GB iOS 4.1 JB
    MacBook Pro 13.3": 2.26ghz/4GB/160GB SL 10.6.5
    iMac 21.5": 3.06ghz/4GB/500GB SL 10.6.5
    2010-04-09 08:41 AM
  7. mars2009's Avatar
    Make sure you have the right redsn0w have had some problems with the wrong one like you are having.
    I am using RedSnow 0.9.2.

    So I went ahead and got the 3.0 3gs firmware and went through the RedSnow process, selected install cydia and Already Pawned option. It said in the last step, the rest of the process will take place on my device and click finish. I clicked finish and I see Downloading Jailbreak data with a disk image on the Iphone. Its been 5 mins and its still sitting in the the same state. I restarted my iPhone and its back to the same state where it as before with no icon for Cydia.
    Iphone is all good I dont see any issues.

    But I dont know how should I proceed further.

    Could someone please let me know what option should I try ahead.. going through a tough phase.


    Thanks
    2010-04-09 09:33 AM
  8. j3st3r's Avatar
    3.1 may require redsn0w 0.8, try that
    2010-04-09 09:40 AM
  9. mars2009's Avatar
    3.1 may require redsn0w 0.8, try that
    So you mean give a try using 3.1 3gs firmware with RedSnow 0.8 correct?

    So you mean give a try using 3.1 3gs firmware with RedSnow 0.8 correct?
    Tried 3.1 3gs firmware on RedSnow 0.8 it says "Unrecognised ipsw" error.
    Last edited by mars2009; 2010-04-10 at 03:52 AM. Reason: Automerged Doublepost
    2010-04-10 03:52 AM
  10. mars2009's Avatar
    So you mean give a try using 3.1 3gs firmware with RedSnow 0.8 correct?



    Tried 3.1 3gs firmware on RedSnow 0.8 it says "Unrecognised ipsw" error.

    After doing more reading through different forums, I was finally able to jailbreak and unlock my iPhone 3gs 3.1 with 5.11.07 .

    I downloaded the custom firware for 3.1.2 ipsw made by Pwange tool, update my iTunes to latest version and restored the firmware by selecting this custom firmware in iTunes.[This is very very important step in using Custom Firware].

    After jailbreak, i installed blackrain by adding it to Cydia source and was able to run blacksnow and I am all set.


    Thanks
    2010-04-12 03:32 AM
  11. katmeef's Avatar
    After doing more reading through different forums, I was finally able to jailbreak and unlock my iPhone 3gs 3.1 with 5.11.07 .

    I downloaded the custom firware for 3.1.2 ipsw made by Pwange tool, update my iTunes to latest version and restored the firmware by selecting this custom firmware in iTunes.[This is very very important step in using Custom Firware].

    After jailbreak, i installed blackrain by adding it to Cydia source and was able to run blacksnow and I am all set.


    Thanks
    So I take it your 3GS is an old bootrom 3gs? someone correct me if i'm wrong, but the new bootrom 3gs will not work with pwnagetool firmware
    2010-04-12 02:38 PM
  12. j3st3r's Avatar
    @katmeef

    you are correct
    2010-04-12 07:20 PM
  13. mars2009's Avatar
    So I take it your 3GS is an old bootrom 3gs? someone correct me if i'm wrong, but the new bootrom 3gs will not work with pwnagetool firmware
    Correct.It was 5.11.07.
    2010-04-13 03:52 AM
  14. j3st3r's Avatar
    @mars2009

    05.11.07 is not the bootrom...it is the baseband...the bootrom is hardware built into the phone where as baseband is software that can be updated...the old bootrom (iBoot) is 359.3 the new bootrom is 359.3.2
    2010-04-13 12:19 PM
LINK TO POST COPIED TO CLIPBOARD
We have updated our Privacy Policy and Terms & Conditions. Please check them out.